"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Rules_1 = require("./declare/Rules");
/**
 * Vue eslint 规则
 * 标准 2
 */
module.exports = {
    extends: [
        require.resolve('./base'),
        'plugin:vue/strongly-recommended'
    ],
    rules: {
        // 字符串拼接时  使用 es6 模板
        'prefer-template': Rules_1.Rules.ERROR,
        // @see http://eslint.cn/docs/4.0.0/rules/consistent-return
        'consistent-return': Rules_1.Rules.ERROR,
        // @see http://eslint.cn/docs/4.0.0/rules/no-underscore-dangle
        'no-underscore-dangle': ['error', {
                'allowAfterThis': true,
                'allowAfterSuper': true
            }],
        // @see http://eslint.cn/docs/4.0.0/rules/no-multi-assign
        'no-multi-assign': Rules_1.Rules.ERROR,
        // @see http://eslint.cn/docs/4.0.0/rules/no-plusplus
        'no-plusplus': Rules_1.Rules.OFF,
        // 如果一个变量重来没有被分配 使用常量
        'prefer-const': Rules_1.Rules.ERROR,
        // @see http://eslint.cn/docs/4.0.0/rules/no-shadow
        'no-shadow': Rules_1.Rules.ERROR,
        'vue/require-default-prop': Rules_1.Rules.OFF,
        'vue/max-attributes-per-line': [Rules_1.Rules.ERROR, {
                'singleline': 5,
                'multiline': {
                    'max': 1,
                    'allowFirstLine': false
                }
            }],
        'vue/html-self-closing': Rules_1.Rules.OFF,
        'vue/attribute-hyphenation': Rules_1.Rules.OFF
    },
    overrides: [
        {
            files: ['*.vue'],
            rules: {
                'vue/script-indent': [
                    'error',
                    2,
                    {
                        'baseIndent': 1,
                        switchCase: 1
                    }
                ],
                indent: 'off'
            }
        }
    ]
};
